#include <stdio.h>
#include <stdlib.h>

int a[1510][1000];

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int *pom=(int*)calloc(1000,sizeof(int));
    int x;
    for (int i=0;i<n;i++)
        for (int j=0;j<m;j++) scanf("%d",&x);
    /*if (n==1)
    {
        printf("0");
        int maxi=0;
        for (int i=0;i<m;i++)
        {
            int x;
            scanf("%d",&x)
            int br=0;
            while (x)
            {
                a[i][br]=x%2;
                x/=2;
                if (a[i][br]) pom[br]++;
                else pom[br]--;
            }
            if (br>maxi) maxi=br;
        }
        //for (int i=0;i<maxi;i++) if (pom[i]>0) pom[i];

    }*/
    printf("0");
}